Milestone:  Story Points:  
Description

Enable self registration for two groups:

1. Interested in following DataONE activities.  These will be subscribed to community@dataone.org

2. Interested in following or participating in DataONE development activities. These will be subscribed to developers@dataone.org

Links to the self registration options should be made on the "Get Involved" page.

We need an automated method for someone to be able to sign up for the internship mailing list (internships@dataone.org) and the

community mailing list.  We use LDAP synchronization, so the mailman interface isn't available to allow someone to sign up for any

of the dataone mailing lists.  

Dave has some basic python scripts that could be leveraged.  

The suggested implementation is a plone page where someone can sign up for one of the specifically available mailing lists.  That

request needs to have some form of CAPTCHA to block robots (a simple math problem could be sufficient).  The request would then

need to go to a small number of people (configurable) to approve the request.  Once the request is approved, Dave's python scripts

could be leveraged to add the person to LDAP.  Note that adding someone to LDAP should not necessarily make the person a

member of the DataONE group (which would thereby give them access to the member's area for DataONE).  That could be a

separate configuration option for the request.  

History

#1 - 2010-03-19 17:31 - Matthew Jones

Note that we already have a plone-based system for registering in LDAP for other sites we run (such as the Kepler site).  So this task should really

work on extending the existing registration framework.  Shaun Walbridge (walbridge@nceas.ucsb.edu) would be the contact for this work.

#2 - 2010-03-19 19:01 - Matthew Jones

Upon further inspection, this will be even easier than I originally thought.  We already have most of this working for Kepler (in terms of LDAP account

creation).  So the main thing we would need is to add ask for lists to be subscribed in the plone form, and then modify the registration script to add

accounts to those groups as they are created.  The Kepler plone form can be seen here:

 https://kepler-project.org/registration

#3 - 2010-08-26 00:30 - Matthew Jones

Self registration has been added, and user's can sign up for the community list.  Need to add sign up for the developer's list.

#4 - 2010-08-26 00:33 - Matthew Jones

- Status changed from New to In Progress
#5 - 2010-08-26 01:39 - Shaun Walbridge

Added the community list, and refactored the addition code to accept one or more lists. I've tested it and it works as expected, but you may want to

provide different text than what I've included:

 https://dataone.org/join_form

Change committed in r276 of the collaboration repository (https://code.nceas.ucsb.edu/code/collaboration).

#6 - 2010-10-06 22:58 - Matthew Jones

- Status changed from In Progress to Closed

Done.  Self registration is now enabled.
